package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCUserBasicInfoStatus {

    NORMAL(0, "正常"),
    LOCKED(1, "锁定"),;

    public static EnumCUserBasicInfoStatus getEnum(Integer code) {
        for (EnumCUserBasicInfoStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCUserBasicInfoStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
